@Hitokage OK looks like the new lupdate version needs additional info about the file's language so I had to add something like this: <TS version="2.1" language="cs_CZ"> Works now!